.ir {
  width: 96rem;
  max-width: 100%;
  margin: 0 auto;
}
.ir-topbox {
  background: url(/public/images/sub/ir-topbox-bg.png) no-repeat center center/cover;
  padding: clamp(3rem, 5vw, 5rem) clamp(3rem, 8vw, 8rem);
  border-radius: 0.8rem;
  overflow: hidden;
  color: #fff;
}
.ir-topbox strong {
  font-size: clamp(2.5rem, 3vw, 4rem);
  line-height: 1.5;
}
.ir-topbox p {
  margin-top: 2rem;
  font-size: 1.8rem;
  font-weight: 500;
  line-height: 1.6;
  letter-spacing: -0.036rem;
}

.recommend {
  margin-top: 3.7rem;
}
.recommend-title {
  color: #323D4C;
  font-weight: 600;
  line-height: 1.5;
  letter-spacing: -0.016rem;
  padding-left: 3.2rem;
  margin-bottom: 1.2rem;
  position: relative;
}
.recommend-title::before {
  content: "";
  display: inline-block;
  width: 2.4rem;
  height: 2.4rem;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M16.9039 4.4978H12.2056V6.20535C12.3343 9.12789 14.64 11.4649 17.4914 11.5372V11.8231C14.6433 11.8954 12.3393 14.2264 12.2056 17.1446V23.5021L16.4577 19.1208H16.9039C20.8234 19.1208 24 15.847 24 11.8093C24 7.77081 20.8226 4.4978 16.9039 4.4978Z" fill="url(%23paint0_linear_7984_2332)"/><path d="M7.09604 19.1218H11.7944V17.4143C11.6657 14.4917 9.35998 12.1547 6.50853 12.0824V11.7965C9.35664 11.7242 11.6607 9.39322 11.7944 6.47498V4.49878H7.09604C3.17738 4.49792 0 7.77178 0 11.8103C0 15.8488 3.17738 19.1218 7.09604 19.1218Z" fill="url(%23paint1_linear_7984_2332)"/><defs><linearGradient id="paint0_linear_7984_2332" x1="18.1032" y1="4.70016" x2="18.1032" y2="23.2248" gradientUnits="userSpaceOnUse"><stop stop-color="%230095FF"/><stop offset="0.99" stop-color="%230050FF"/></linearGradient><linearGradient id="paint1_linear_7984_2332" x1="5.89763" y1="6.44054" x2="5.89763" y2="17.2911" gradientUnits="userSpaceOnUse"><stop stop-color="%231BE194"/><stop offset="0.99" stop-color="%2300A7FE"/></linearGradient></defs></svg>');
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  left: 0;
  top: -2px;
}
.recommend-list {
  display: flex;
  flex-direction: column;
  gap: 0.4rem;
}
.recommend-list button {
  padding: 1.2rem 2rem;
  border-radius: 0.8rem;
  border: 1px solid #DADFE7;
  background: #fff;
  line-height: 1.5;
  letter-spacing: -0.016rem;
  color: #323D4C;
  text-align: left;
}

.ir-chat {
  display: flex;
  align-items: flex-start;
  gap: 2rem;
  margin-top: 8rem;
  padding: 1.6rem;
  padding-left: 4.4rem;
  border-radius: 2rem;
  border: 1px solid var(--color-line-input, #DADFE7);
  background: #fff;
  position: relative;
}
.ir-chat::before {
  content: "";
  width: 1.2rem;
  height: 1.2rem;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" width="64" height="64" viewBox="0 0 64 64" fill="none"><path d="M34.7551 2.21313C35.4428 5.45494 35.8017 7.27807 36.4714 10.5236C38.2329 19.06 44.9174 25.6994 53.4538 27.506C56.6959 28.1922 58.5225 28.5346 61.7643 29.2223C64.7452 29.8546 64.7452 34.1002 61.7643 34.7325C58.5225 35.4202 56.6993 35.7791 53.4538 36.4488C44.9174 38.2103 38.2781 44.8948 36.4714 53.4312C35.7853 56.6733 35.4428 58.4999 34.7551 61.7417C34.1228 64.7227 29.8772 64.7227 29.2449 61.7417C28.5572 58.4999 28.1983 56.6768 27.5286 53.4312C25.7671 44.8948 19.0826 38.2555 10.5462 36.4488C7.30409 35.7627 5.47752 35.4202 2.23571 34.7325C-0.745236 34.1002 -0.745236 29.8546 2.23571 29.2223C5.47753 28.5346 7.30066 28.1757 10.5462 27.506C19.0826 25.7445 25.7219 19.06 27.5286 10.5236C28.2147 7.28151 28.5572 5.45494 29.2449 2.21313C29.8772 -0.767819 34.1228 -0.767819 34.7551 2.21313Z" fill="%230095FF"/></svg>') no-repeat center/contain;
  position: absolute;
  left: 2.4rem;
  top: 2.4rem;
}
.ir-chat::after {
  content: "";
  width: 96%;
  height: 98%;
  border-radius: 7rem;
  background: linear-gradient(90deg, rgba(97, 211, 133, 0.2) 0%, rgba(65, 147, 247, 0.2) 30%, rgba(75, 168, 248, 0.2) 75%, rgba(107, 118, 243, 0.2) 100%);
  filter: blur(1.2rem);
  position: absolute;
  left: 50%;
  top: 0.5rem;
  transform: translateX(-50%);
  transform-origin: top center;
  z-index: -1;
}
.ir-chat:focus-within {
  border: 1px solid transparent;
  background: linear-gradient(#fff, #fff) padding-box, linear-gradient(90deg, rgb(33, 219, 141) 0%, rgb(1, 167, 255) 50%, rgb(114, 128, 252) 100%) border-box;
}
.ir-chat-input {
  width: 100%;
}
.ir-chat-input textarea {
  width: 100%;
  height: 8.8rem;
  border: 0;
  resize: none;
  line-height: 1.5;
  letter-spacing: -0.032rem;
}
.ir-chat-input textarea::placeholder {
  color: #67717e;
}
.ir-chat-input textarea:focus {
  outline: 0;
}
.ir-chat-submit {
  width: 3.2rem;
  height: 3.2rem;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: #1D2530;
  flex-shrink: 0;
}